mode = 1;

function make_box(homo, spacing, expand, fill, padding) {
  var box = new GtkHBox(homo, spacing);
  var labels = ["gtk_box_pack(", "(box,", "button,", expand + ',', fill + ','.
            padding + ');'];
  
  for (i in labels) {
    button = new GtkButton(labels[i]);
    box.pack_start(button, expand, fill, padding);
    button.show();
  }
  return box;
}
  
window = new GtkWindow(GTK.WINDOW_TOPLEVEL);
window.connect("delete_event", gtk_main_quit);
window.border_width(10);

box = new GtkVBox(false, 0);
window.add(box);

print('made boxes');

switch(mode) {
 case 1:
   label = new GtkLabel("gtk_hbox_new(false,0);");
   print('made label');
   label.set_alignment(0, 0);
   print('set label alignment');
   box.pack_start(label, false, false, 0);
   print('backed label in box');
   label.show();
   print('created label');
   
   box2 = make_box(false, 0, false, false, 0);
   box.pack_start(box2, false, false, 0);
   box2.show();

   box2 = make_box(false, 0, true, false, 0);
   box.pack_start(box2, false, false, 0);
   box2.show();
   
   box2 = make_box(false, 0, true, true, 0);
   box.pack_start(box2, false, false, 0);
   box2.show();
   
   sep = new GtkHSeparator();
   box.pack_start(sep, false, true, 5);
   sep.show();
   
   label = new GtkLabel("gtk_hbox_new(true, 0);");
   label.set_alignment(0, 0);
   box.pack_start(label, false, false, 0);
   label.show();

   box2 = make_box(true, 0, true, false, 0);
   box.pack_start(box2, false, false, 0);
   box2.show();
   
   box2 = make_box(true, 0, true, true, 0);
   box.pack_start(box2, false, false, 0);
   box2.show();

   sep = new GtkHSeparator();
   box.pack_start(sep, false, true, 5);
   sep.show();
   box.show();
   
   break;
 default:
   print("NYI");
   gtk_main_quit();
}
   
window.show();
gtk_main();
